Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.CredentialInventoryPolicy.Update(ctx, operations.C1APICredentialInventoryV1CredentialInventoryPolicyServiceUpdateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.CredentialInventoryPolicyServiceUpdateResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/credential-inventory-policies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentialInventoryPolicy": {
"delegated": {
"googleEnabled": true,
"googleHostedDomains": [
"<string>"
],
"microsoftEnabled": true,
"microsoftTenantIds": [
"<string>"
]
},
"displayName": "<string>",
"emailOtp": {
"codeLength": 123,
"maxAttempts": 123,
"ttlSeconds": 123
},
"enabledTypes": [],
"passkey": {
"allowedAaguids": [
"aSDinaTvuI8gbWludGxpZnk="
],
"requireUserVerification": true
},
"password": {
"checkBreached": true,
"historyDepth": 123,
"minLength": 123,
"requireMixedCase": true,
"requireNumber": true,
"requireSymbol": true
},
"priority": 123,
"totp": {
"codeLength": 123,
"periodSeconds": 123,
"skewTolerance": 123
}
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/credential-inventory-policies/{id}"
payload = {
"credentialInventoryPolicy": {
"delegated": {
"googleEnabled": True,
"googleHostedDomains": ["<string>"],
"microsoftEnabled": True,
"microsoftTenantIds": ["<string>"]
},
"displayName": "<string>",
"emailOtp": {
"codeLength": 123,
"maxAttempts": 123,
"ttlSeconds": 123
},
"enabledTypes": [],
"passkey": {
"allowedAaguids": ["aSDinaTvuI8gbWludGxpZnk="],
"requireUserVerification": True
},
"password": {
"checkBreached": True,
"historyDepth": 123,
"minLength": 123,
"requireMixedCase": True,
"requireNumber": True,
"requireSymbol": True
},
"priority": 123,
"totp": {
"codeLength": 123,
"periodSeconds": 123,
"skewTolerance": 123
}
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credentialInventoryPolicy: {
delegated: {
googleEnabled: true,
googleHostedDomains: ['<string>'],
microsoftEnabled: true,
microsoftTenantIds: ['<string>']
},
displayName: '<string>',
emailOtp: {codeLength: 123, maxAttempts: 123, ttlSeconds: 123},
enabledTypes: [],
passkey: {allowedAaguids: ['aSDinaTvuI8gbWludGxpZnk='], requireUserVerification: true},
password: {
checkBreached: true,
historyDepth: 123,
minLength: 123,
requireMixedCase: true,
requireNumber: true,
requireSymbol: true
},
priority: 123,
totp: {codeLength: 123, periodSeconds: 123, skewTolerance: 123}
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/credential-inventory-policies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credentialInventoryPolicy": {
"createdAt": "2023-11-07T05:31:56Z",
"delegated": {
"googleEnabled": true,
"googleHostedDomains": [
"<string>"
],
"microsoftEnabled": true,
"microsoftTenantIds": [
"<string>"
]
},
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"emailOtp": {
"codeLength": 123,
"maxAttempts": 123,
"ttlSeconds": 123
},
"enabledTypes": [],
"id": "<string>",
"isBuiltin": true,
"passkey": {
"allowedAaguids": [
"aSDinaTvuI8gbWludGxpZnk="
],
"requireUserVerification": true
},
"password": {
"checkBreached": true,
"historyDepth": 123,
"minLength": 123,
"requireMixedCase": true,
"requireNumber": true,
"requireSymbol": true
},
"priority": 123,
"totp": {
"codeLength": 123,
"periodSeconds": 123,
"skewTolerance": 123
},
"updatedAt": "2023-11-07T05:31:56Z"
}
}Credential Inventory
Update
Update a credential inventory policy. Supply the policy object and an update mask listing the fields to change; omitted fields are left as-is.
POST
/
api
/
v1
/
credential-inventory-policies
/
{id}
Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.CredentialInventoryPolicy.Update(ctx, operations.C1APICredentialInventoryV1CredentialInventoryPolicyServiceUpdateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.CredentialInventoryPolicyServiceUpdateResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
Unique identifier for the policy.
Body
application/json
Response
200 - application/json
Successful response
The CredentialInventoryPolicyServiceUpdateResponse message.
CredentialInventoryPolicy defines which credential types your users may enroll and the rules for each type.
Show child attributes
Show child attributes
Was this page helpful?
⌘I